# Makefile.in generated by automake 1.10.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# This file is include by other Makefile.am files, using the new automake include feature.
# The include happens in Makefile.am, not Makefile.in or Makefile,
# so it's like copy-and-pasting this into each of those Makefile.am files.

# Built files
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
DIST_COMMON = $(srcdir)/../src/Makefile_list_of_hg.am_fragment \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/build_shared/Makefile_build_gensrc.am_fragment \
	$(top_srcdir)/build_shared/Makefile_gensrc.am_fragment
subdir = gstreamer/src
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/scripts/macros.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h \
	$(top_builddir)/gstreamer/gstreamermmconfig.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AR = @AR@
AS = @AS@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEMO_SUBDIR = @DEMO_SUBDIR@
DEPDIR = @DEPDIR@
DISABLE_DEPRECATED_API_CFLAGS = @DISABLE_DEPRECATED_API_CFLAGS@
DISABLE_DEPRECATED_CFLAGS = @DISABLE_DEPRECATED_CFLAGS@
DLLTOOL = @DLLTOOL@
DOCS_SUBDIR = @DOCS_SUBDIR@
DOXYGEN = @DOXYGEN@
DSYMUTIL = @DSYMUTIL@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXAMPLE_SUBDIR = @EXAMPLE_SUBDIR@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
GMMPROC = @GMMPROC@
GMMPROC_DIR = @GMMPROC_DIR@
GREP = @GREP@
GSTREAMERMM_ALL_PLUGIN_CPPNAMES = @GSTREAMERMM_ALL_PLUGIN_CPPNAMES@
GSTREAMERMM_CFLAGS = @GSTREAMERMM_CFLAGS@
GSTREAMERMM_DOXYGEN_INPUT = @GSTREAMERMM_DOXYGEN_INPUT@
GSTREAMERMM_EXAMPLES_CFLAGS = @GSTREAMERMM_EXAMPLES_CFLAGS@
GSTREAMERMM_EXAMPLES_LIBS = @GSTREAMERMM_EXAMPLES_LIBS@
GSTREAMERMM_EXISTING_PLUGIN_CPPNAMES = @GSTREAMERMM_EXISTING_PLUGIN_CPPNAMES@
GSTREAMERMM_EXISTING_PLUGIN_HG = @GSTREAMERMM_EXISTING_PLUGIN_HG@
GSTREAMERMM_LIBS = @GSTREAMERMM_LIBS@
GSTREAMERMM_MAJOR_VERSION = @GSTREAMERMM_MAJOR_VERSION@
GSTREAMERMM_MICRO_VERSION = @GSTREAMERMM_MICRO_VERSION@
GSTREAMERMM_MINOR_VERSION = @GSTREAMERMM_MINOR_VERSION@
GSTREAMERMM_RELEASE = @GSTREAMERMM_RELEASE@
GSTREAMERMM_VERSION = @GSTREAMERMM_VERSION@
GST_INSPECT = @GST_INSPECT@
HEAD = @HEAD@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LDFLAGS = @LDFLAGS@
LIBGSTREAMERBASEMM_SO_VERSION = @LIBGSTREAMERBASEMM_SO_VERSION@
LIBGSTREAMERMM_SO_VERSION = @LIBGSTREAMERMM_SO_VERSION@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
M4 = @M4@
MAINT = @MAINT@
MAKEINFO = @MAKEINFO@
MKDIR_P = @MKDIR_P@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PERL_PATH = @PERL_PATH@
PKG_CONFIG = @PKG_CONFIG@
RANLIB = @RANLIB@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_F77 = @ac_ct_F77@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
sublib_name = gstreamermm
sublib_namespace = Gst
sublib_parentdir = gstreamermm
files_defs = gst.defs gst_methods.defs gst_signals.defs gst_enums.defs gst_vfuncs.defs gst_others.defs gst_docs.xml gst_docs_override.xml
main_defs = gst
tools_dir = $(top_srcdir)/tools
tools_dir_m4 = $(top_srcdir)/tools/m4
tools_dir_pm = $(top_srcdir)/tools/pm
extra_defs_dir = $(top_builddir)/tools/extra_defs_gen
gensrc_destdir = $(srcdir)/../$(sublib_name)
stamp_dir = $(srcdir)/.stamps
stamp_plugin_dir = $(builddir)/.stamps
destdir_stamp_dir = $(gensrc_destdir)/.stamps
tools_m4 = $(files_tools_m4:%.m4=$(tools_dir_m4)/%.m4)
tools_plugin_m4 = $(files_tools_plugin_m4:%.m4=$(tools_dir_m4)/%.m4)
files_posix_hg = 
files_win32_hg = 
files_general_hg = bin.hg buffer.hg bus.hg caps.hg childproxy.hg clock.hg \
	element.hg elementfactory.hg enums.hg error.hg event.hg filter.hg \
	format.hg index.hg ghostpad.hg indexfactory.hg interface.hg \
	iterator.hg message.hg pad.hg padtemplate.hg parse.hg pipeline.hg \
	plugin.hg pluginfeature.hg preset.hg query.hg registry.hg segment.hg \
	structure.hg systemclock.hg taglist.hg tagsetter.hg task.hg \
	urihandler.hg value.hg xml.hg \
	basesrc.hg basesink.hg basetransform.hg pushsrc.hg audioclock.hg \
	audiofilter.hg audiosink.hg audiosrc.hg baseaudiosink.hg \
	baseaudiosrc.hg cddabasesrc.hg videosink.hg \
   	colorbalance.hg colorbalancechannel.hg mixer.hg mixeroptions.hg \
	mixertrack.hg navigation.hg propertyprobe.hg tuner.hg \
	tunerchannel.hg tunernorm.hg videoorientation.hg xoverlay.hg

files_general_deprecated_hg = 

# To add a plugin, add the C++ class name (which must be the plugin name as
# recognized by gst-inspect but in camel case -- as is appropriate for a class
# name) to the plug-in C++ name list (GSTREAMERMM_ALL_PLUGIN_CPPNAMES) in the
# configure.ac file.  Also add the target .hg file name (same name all in
# lowercase with a .hg) to the variable below.  Finally, be sure to include an
# #undef in the gstreamermmconfig.h.in file.
files_all_plugin_hg = capsfilter.hg fakesrc.hg fakesink.hg fdsink.hg fdsrc.hg \
		  filesrc.hg filesink.hg identity.hg multiqueue.hg queue.hg \
		  tee.hg typefind.hg \
		  adder.hg alsamixer.hg alsasink.hg alsasrc.hg \
		  audioconvert.hg audioresample.hg audiotestsrc.hg \
		  cdparanoiasrc.hg clockoverlay.hg decodebin.hg \
		  ffmpegcolorspace.hg gdpdepay.hg gdppay.hg giosink.hg \
		  giosrc.hg giostreamsink.hg giostreamsrc.hg \
		  oggdemux.hg oggmux.hg playbin2.hg \
		  textoverlay.hg \
		  textrender.hg theoradec.hg theoraenc.hg \
		  timeoverlay.hg videorate.hg videoscale.hg \
		  videotestsrc.hg volume.hg vorbisdec.hg vorbisenc.hg \
		  vorbisparse.hg vorbistag.hg ximagesink.hg xvimagesink.hg


# The following variables are needed for the build process to know what class
# name to use for the plug-ins and the list of the existing plug-ins in the
# system so only those are included in the build:
cppnames_plugin_all = $(GSTREAMERMM_ALL_PLUGIN_CPPNAMES)
files_existing_plugin_hg = $(GSTREAMERMM_EXISTING_PLUGIN_HG)
files_patched_hg = taglist.hg
files_all_hg = \
	$(files_posix_hg) \
	$(files_win32_hg) \
	$(files_general_hg) \
	$(files_general_deprecated_hg)

@OS_WIN32_FALSE@files_hg = $(files_general_hg) $(files_posix_hg) $(files_general_deprecated_hg)
@OS_WIN32_TRUE@files_hg = $(files_general_hg) $(files_win32_hg) $(files_general_deprecated_hg)
files_built_cc = $(files_hg:.hg=.cc) wrap_init.cc
files_built_h = $(files_hg:.hg=.h)
files_patched_h = $(files_patched_hg:.hg=.h)
files_all_built_cc = $(files_all_hg:.hg=.cc) wrap_init.cc
files_all_built_h = $(files_all_hg:.hg=.h)
files_all_plugin_built_cc = $(files_all_plugin_hg:.hg=.cc)
files_all_plugin_built_h = $(files_all_plugin_hg:.hg=.h)
files_existing_plugin_built_cc = $(files_existing_plugin_hg:.hg=.cc)
files_existing_plugin_built_h = $(files_existing_plugin_hg:.hg=.h)
files_existing_plugin_built_lo = $(files_existing_plugin_hg:.hg=.lo)

# Extra files
files_all_extra_cc = \
	$(sublib_files_extra_posix_cc) \
	$(sublib_files_extra_win32_cc) \
	$(sublib_files_extra_general_cc) \
	$(sublib_files_extra_general_deprecated_cc)

files_all_extra_h = $(sublib_files_extra_posix_h) \
	$(sublib_files_extra_win32_h) $(sublib_files_extra_general_h) \
	$(sublib_files_extra_general_deprecated_h) wrap_init.h
@OS_WIN32_FALSE@files_extra_cc = \
@OS_WIN32_FALSE@	$(sublib_files_extra_posix_cc) \
@OS_WIN32_FALSE@	$(sublib_files_extra_general_cc)

@OS_WIN32_TRUE@files_extra_cc = \
@OS_WIN32_TRUE@	$(sublib_files_extra_win32_cc) \
@OS_WIN32_TRUE@	$(sublib_files_extra_general_cc)

@OS_WIN32_FALSE@files_extra_h = $(sublib_files_extra_posix_h) \
@OS_WIN32_FALSE@	$(sublib_files_extra_general_h) wrap_init.h
@OS_WIN32_TRUE@files_extra_h = $(sublib_files_extra_win32_h) \
@OS_WIN32_TRUE@	$(sublib_files_extra_general_h) wrap_init.h
# tools_pm	= $(files_tools_pm:%.pm=$(tools_dir_pm)/%.pm)
files_all_ccg = $(files_all_hg:%.hg=%.ccg)
files_all_plugin_ccg = $(files_all_plugin_hg:%.hg=%.ccg)
files_h = $(files_all_hg:%.hg=$(gensrc_destdir)/%.h)
files_stamp = $(files_all_hg:%.hg=$(stamp_dir)/stamp-%)
files_stamp_plugin = $(cppnames_plugin_all:%=$(stamp_plugin_dir)/stamp-%-plugin)
destdir_files_stamp = $(files_patched_hg:%.hg=$(destdir_stamp_dir)/stamp-%)

#Installed gmmproc stuff, from glibmm:
gmmproc_path = $(GMMPROC)
gmmproc_dir = $(GMMPROC_DIR)

# We use our own m4 and pm files as well as the ones installed by gtkmm:
# Our override m4 include seems to need to be before the default one.
gmmproc_args = -I $(tools_dir_m4) --defs $(srcdir)
run_gmmproc = $(gmmproc_path) $(gmmproc_args)

# The normal Glib::wrap() table initialization:
gen_wrap_init_in = $(tools_dir)/generate_wrap_init.pl.in
gen_wrap_init_path = $(tools_dir)/generate_wrap_init.pl
gen_wrap_init_args = --namespace=$(sublib_namespace) --parent_dir=$(sublib_parentdir)
run_gen_wrap_init = $(PERL_PATH) $(gen_wrap_init_path) $(gen_wrap_init_args)

# The Gst::wrap() table initialization:
gen_gst_wrap_init_in = $(tools_dir)/generate_gst_wrap_init.pl.in
gen_gst_wrap_init_path = $(tools_dir)/generate_gst_wrap_init.pl
gen_gst_wrap_init_args = --namespace=$(sublib_namespace) --parent_dir=$(sublib_parentdir)
run_gen_gst_wrap_init = $(PERL_PATH) $(gen_gst_wrap_init_path) $(gen_gst_wrap_init_args)

# The generate_plugin_gmmproc_file utility
generate_plugin_gmmproc_file_path = $(extra_defs_dir)/generate_plugin_gmmproc_file
generate_plugin_gmmproc_file_args = --namespace=$(sublib_namespace) --main-defs=$(main_defs) --target=$(sublib_parentdir)
run_generate_plugin_gmmproc_file = $(generate_plugin_gmmproc_file_path) $(generate_plugin_gmmproc_file_args)
files_all_plugin_hg_with_path = $(patsubst %.hg,$(srcdir)/%.hg,\
				$(files_all_plugin_hg))

files_all_plugin_camel_hg_with_path = $(patsubst %,$(stamp_plugin_dir)/%.hg,\
				      $(cppnames_plugin_all))

EXTRA_DIST = Makefile_list_of_hg.am_fragment $(files_defs) \
		  $(files_all_hg) $(files_all_ccg) $(files_all_plugin_hg) \
		  $(files_all_plugin_ccg)

@MAINTAINER_MODE_TRUE@generate_plugin_dep = $(generate_plugin_gmmproc_file_path)

# The source file from which the license header may be extracted and placed in
# plug-in generated .hg and .ccg files (use a file that probably will not
# change because it will be a plug-in generation dependency):
license_header_source_file = $(gensrc_destdir)/version.h
files_hg_with_path = $(patsubst %.hg,$(srcdir)/%.hg,$(files_all_hg))
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/build_shared/Makefile_gensrc.am_fragment $(srcdir)/../src/Makefile_list_of_hg.am_fragment $(top_srcdir)/build_shared/Makefile_build_gensrc.am_fragment $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  gstreamer/src/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  gstreamer/src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
@MAINTAINER_MODE_FALSE@all-local:
all-am: Makefile all-local
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic \
	maintainer-clean-local

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am:

.MAKE: install-am install-strip

.PHONY: all all-am all-local check check-am clean clean-generic \
	clean-libtool distclean distclean-generic distclean-libtool \
	distdir dvi dvi-am html html-am info info-am install \
	install-am install-data install-data-am install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic \
	maintainer-clean-local mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am


include $(tools_dir)/Makefile_list_of_sources.am_fragment

# This is to generate plugin .hg files.  The generated .hg file s piped through
# m4 using the macros in tools/m4/ctocpp_base.m4 which then produces the final
# .hg file.  Finally, the camel hg file is linked to the final .hg file to
# signal the successful generation of the .hg file.
$(files_all_plugin_camel_hg_with_path): $(generate_plugin_dep) \
	$(tools_plugin_m4) $(files_defs) $(license_header_source_file)
	$(eval hg_lowercase = $$(shell echo $$@ | tr [:upper:] [:lower:]))
	sed -n '1,/^$$/p' $(license_header_source_file) > \
		$(srcdir)/$(notdir $(hg_lowercase))
	$(run_generate_plugin_gmmproc_file) --hg \
		$(notdir $(subst .hg,,$@)) | $(M4) -I $(tools_dir_m4) >> \
		$(srcdir)/$(notdir $(hg_lowercase))
	ln -sf $(realpath $(srcdir))/$(notdir $(hg_lowercase)) $(builddir)/$@

# This is to generate plugin .ccg files.  The .ccg file is generated and then
# the camel ccg file is linked to the generated .ccg file to signal the
# successful generation of the .hg file.
$(files_all_plugin_camel_hg_with_path:.hg=.ccg): $(generate_plugin_dep) \
	$(tools_plugin_m4) $(files_defs) $(license_header_source_file)
	$(eval ccg_lowercase = $$(shell echo $$@ | tr '[:upper:]' '[:lower:]'))
	sed -n '1,/^$$/p' $(license_header_source_file) > \
		$(srcdir)/$(notdir $(ccg_lowercase))
	$(run_generate_plugin_gmmproc_file) --ccg \
		$(notdir $(subst .ccg,,$@)) >>  \
		$(srcdir)/$(notdir $(ccg_lowercase))
	ln -sf $(realpath $(srcdir))/$(notdir $(ccg_lowercase)) $(builddir)/$@

$(stamp_dir)/stamp-%: %.hg %.ccg $(tools_m4) $(files_defs)
	$(run_gmmproc) $(notdir $*) $(srcdir) $(gensrc_destdir)
	@echo 'timestamp' > $@

# This is to run the generated plug-in .hg and .ccg files through gmmproc
# (they're generated if necessary by the .../%.hg and .../%.ccg dependencies.
$(stamp_plugin_dir)/stamp-%-plugin: $(stamp_plugin_dir)/%.hg \
	$(stamp_plugin_dir)/%.ccg $(tools_m4) $(tools_plugin_m4) $(files_defs)
	$(eval plugin_name_lowercase = \
		$$(shell echo $$* | tr '[:upper:]' '[:lower:]'))
	$(run_gmmproc) $(plugin_name_lowercase) $(srcdir) $(gensrc_destdir)
	@echo 'timestamp' > $@

# This is to patch generated .h files in $(gensrc_destdir) (e.g. taglist.h).
$(destdir_stamp_dir)/stamp-%: $(gensrc_destdir)/%.h
	patch -Ns $(gensrc_destdir)/$*.h $(gensrc_destdir)/$*.h.patch || true
	rm -f $(gensrc_destdir)/$*.h.rej
	touch $@

$(gensrc_destdir)/wrap_init.cc: $(gen_wrap_init_in) $(files_hg_with_path) \
	$(files_all_plugin_hg_with_path)
	$(run_gen_wrap_init) $(files_all_hg:%.hg=$(srcdir)/%.hg) \
	  $(files_all_plugin_hg:%.hg=$(srcdir)/%.hg) > $@

$(gensrc_destdir)/gst_wrap_init.cc: $(gen_gst_wrap_init_in) \
	$(files_hg_with_path)
	$(run_gen_gst_wrap_init) $(files_all_hg:%.hg=$(srcdir)/%.hg) >$@

# This is to create the plugin .stamps directory (if builddir is different than
# srcdir)
$(stamp_plugin_dir):
	@(test -d $(stamp_plugin_dir) || mkdir $(stamp_plugin_dir))

create-stamp-dir: $(stamp_plugin_dir)
	@(test -d $(stamp_dir) || mkdir $(stamp_dir))
	@(test -d $(destdir_stamp_dir) || mkdir $(destdir_stamp_dir))

@MAINTAINER_MODE_TRUE@all-local: create-stamp-dir $(files_stamp) $(files_stamp_plugin) \
@MAINTAINER_MODE_TRUE@	$(gensrc_destdir)/wrap_init.cc $(gensrc_destdir)/gst_wrap_init.cc \
@MAINTAINER_MODE_TRUE@	$(destdir_files_stamp)

maintainer-clean-local:
	rm -rf $(stamp_dir) $(stamp_plugin_dir) $(destdir_stamp_dir) \
		$(files_all_plugin_hg) $(files_all_plugin_ccg)
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
